#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <aalib.h>
#include <signal.h>
#include <vgakeyboard.h>

#include "jp.h"

#define JP_HOR_DELTA 3

int has_vgalib;
char *keytable;
char keytable_nahradni[256];
char keytable_last[256];

aa_palette jp_palette;

aa_context *context;

char  ev[100];
int ev_top;

unsigned char *jp_screen;
int jp_screen_w;
int jp_screen_h;

void
jp_vline(aa_context *c, int l, int col)
{
	int i;

	DB("vline(l:%i, col:%i)", l, col);

	for(i=aa_imgwidth(c); i--; )
	{
		aa_putpixel(c, i, l, col);
	}
	DB("/vline");
} /* vline */

int
main(int argc, char *argv[])
{
	t_obj *oo;

	int i;
	int ch, ch_last;

	jp_init(argc, argv);


	 


	jp_main_loop();

#if 0

	  
	for(i = 0;  ; i = (i+1) % jp_screen_h ) 
	{
		jp_clear();

		vline(context, i, 100 ); 
	
		DB("main: bf jp_keyupdate");
		jp_keyupdate();

		DB("main: bf obj_tik");

		oo->tik(oo);

		DB("main: bf obj_draw");
		obj_draw(oo);

		aa_renderpalette(
			context, jp_palette, &rende,
			0, 0, aa_scrwidth(context), aa_scrheight(context));


		//vline(context, i, 0 ); 



#define KP(a) (keytable[(a)]?"x":"-")
		DB("main:bf print keypress");
			
		aa_printf(context, 0, 0, 0,
			"line: %2i, asdfg hjkl:[%s%s%s%s%s %s%s%s%s]",
			i,
			KP(SCANCODE_A),
			KP(SCANCODE_S),
			KP(SCANCODE_D),
			KP(SCANCODE_F),
			KP(SCANCODE_G),

			KP(SCANCODE_H),
			KP(SCANCODE_J),
			KP(SCANCODE_K),
			KP(SCANCODE_L)
			);
		

		DB("main: bf aa_flush");
		aa_flush(context);

		DB("main: bf usleep");

		usleep(10000L);
		//sleep(1);
	}
#endif

	jp_close();
	return 0;
} /* main */

void
jp_clear()
{
	int i;

	DB("obj_clear");

	for(i=aa_imgwidth(context)*aa_imgheight(context);i--;)
	{
		jp_screen[i] = 0;
	}
} /* jp_clear */
